# Created by pyp2rpm-1.0.1
%global pypi_name terminado

Name:           python-%{pypi_name}
Version:        0.9.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Terminals served to term.js using Tornado websockets
License:        BSD
URL:            https://pypi.org/project/terminado/
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Terminals served to term.js using Tornado websockets.

%package -n     python3-%{pypi_name}
Summary:        Terminals served to term.js using Tornado websockets
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# For tests
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(ptyprocess)
BuildRequires:  python3dist(tornado)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Terminals served to term.js using Tornado websockets.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# upstream: https://github.com/jupyter/terminado/issues/88
# upstream: https://github.com/pytest-dev/pytest/issues/8256
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc
%{__python3} -m nose -v

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Jan 26 2021 daviddavid <daviddavid> 0.9.1-2.mga8
+ Revision: 1673366
- workaround the bracketed-paste mode breaking tests with Bash 5.1+
- fix testsuite

* Thu Oct 29 2020 joequant <joequant> 0.9.1-1.mga8
+ Revision: 1640503
- update to 0.9.1

* Tue Feb 18 2020 umeabot <umeabot> 0.8.3-2.mga8
+ Revision: 1541553
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 joequant <joequant> 0.8.3-1.mga8
+ Revision: 1474670
- update to 0.8.3

* Mon Sep 16 2019 daviddavid <daviddavid> 0.8.2-2.mga8
+ Revision: 1442351
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.8.2-1.mga7
+ Revision: 1393907
- new version 0.8.2

* Thu Jan 10 2019 shlomif <shlomif> 0.8.1-3.mga7
+ Revision: 1354475
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1290346
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 0.8.1-1.mga7
+ Revision: 1210502
- Added BR for python-tornado
- Rename python-terminado to python2-terminado
- Update to version 0.8.1
- Use new Python BR's
- Enable tests

* Sat Aug 05 2017 pterjan <pterjan> 0.6-2.mga7
+ Revision: 1135659
- Rebuild for python 3.6

* Thu Apr 14 2016 daviddavid <daviddavid> 0.6-1.mga6
+ Revision: 1001566
- new version: 0.6
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 0.5-4.mga6
+ Revision: 970501
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.5-3.mga6
+ Revision: 887080
- rebuild for python 3.5

* Sat Jul 18 2015 joequant <joequant> 0.5-2.mga6
+ Revision: 855148
- requires tornado and ptyprocess

* Sun Jul 05 2015 joequant <joequant> 0.5-1.mga6
+ Revision: 850794
- imported package python-terminado

